/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.s_Com/disclaimer 
*
* Copyright (C) 2011 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name : battery.h
* Version : 1.0
* Device(s) : R7F0C001
* H/W Platform : YCB15R7F0C001001B
* Description : This file implements device driver for battery.
******************************************************************************/
/******************************************************************************
* History : DD.MM.YYYY Version Description
* : 20.09.2014 1.00 First Release
******************************************************************************/


#ifndef _BATTERY_DEF_
#define _BATTERY_DEF_
/******************************************************************************
Macro definitions
******************************************************************************/

#define AD_BAT_MIN_VALUE 737U		/* 3600mV */

#define AD_BAT_MAX_VALUE 860U		/* 4200mV */
#define AD_BAT_STEP_VALUE 31U		/* (4200-3600)/4 = 175mV */

#define AD_BAT_CONPENSATION_VALUE 4U		/* 20mV */

#define AD_CHARGE_ON_VOLTAGE_VALUE 525U		/* 2564mV */



typedef enum
{
	UNSTABLE= 0,
	STANDBY,
	CHARGING,
	DISCONNECED
}_CHARGE_STATUS;
/***********************************************************************************************************************
Exported global functions
***********************************************************************************************************************/

void Check_Charge_Status(void);
void GoTo_BatteryMode(void);
void GoTo_LowPowerMode(void);
void Battery_Process(void);


#endif
