/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer 
*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name    : lcd.h
* Version      : 1.0
* Device(s)    : R7F0C001
* H/W Platform : YCB15R7F0C001001B
* Description  : This file implements device driver for LCD module.
******************************************************************************/
/******************************************************************************
* History : DD.MM.YYYY Version Description
*         : 20.09.2015 1.00 First Release
******************************************************************************/

#ifndef _LCD_DEF_
#define _LCD_DEF_

/******************************************************************************
Macro definitions
******************************************************************************/
#define LCD_NUM1            (unsigned int*)(&SEG0)
#define LCD_NUM2            (unsigned int*)(&SEG2)
#define LCD_NUM3            (unsigned int*)(&SEG4)
#define LCD_NUM4            (unsigned int*)(&SEG6)
#define LCD_NUM5            (unsigned int*)(&SEG24)

#define DISP_ON		1U
#define DISP_OFF	0U

typedef enum
{
	DISP_P = 10,
	DISP_C,
	DISP_L,
	DISP_NULL
}_DISP_CHAR;

/******************************************************************************
Exported global variables and functions (to be accessed by other files)
******************************************************************************/
void LCD_Init(void);
void LCD_Start(void);
void LCD_Stop(void);
void Display_Process(void);

#endif