/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.s_Com/disclaimer 
*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name : mode.h
* Version : 1.0
* Device(s) : R7F0C809
* H/W Platform : YCB14R7F0C809200B
* Description : This file includes mode process function definition.
******************************************************************************/
/******************************************************************************
* History : DD.MM.YYYY Version Description
* : 20.03.2015 1.00 First Release
******************************************************************************/

#ifndef _MODE_DEF_
#define _MODE_DEF_

/******************************************************************************
Includes <System Includes> , <Project Includes>
******************************************************************************/
#include "define.h"

/******************************************************************************
Macro definitions
******************************************************************************/

typedef enum
{
    INITIAL_MODE = 0,
    IDLE_MODE,
    WAIT_CLEARKEY_MODE,
    INPUT_MODE,
    PASSWORD_MODIFY_MODE,
    HOLD_MODE,
    DOOR_OPENING_MODE,
    DOOR_CLOSING_MODE,
    EEPROM_ERROR_MODE,
    ERROR_KEY_MODE      
}_MAIN_MODE;

/******************************************************************************
Exported global variables and functions (to be accessed by other files)
******************************************************************************/

void Number_Key_Process(void);
void Input_Number_Clear(void);
void Valid_Key_Process(void);
void Invalid_Key_Process(void);
void Error_Key_Process(void);
void Save_Password_Check(uint8_t ObjectString[]);
uint8_t Password_Correct_Check();
uint8_t Super_Password_Correct_Check();
void New_Password_Save();
void Mode_TimeOut_Set(uint16_t Time);
void GoTo_InitalMode(void);
void GoTo_IdleMode(void);
void GoTo_ClearKeyWaitMode(void);
void GoTo_ErrorKeyMode(void);
void GoTo_EepromErrorMode(void);
void GoTo_PasswordModifyMode(void);
void Mode_Process(void);

#endif
