/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.s_Com/disclaimer 
*
* Copyright (C) 2011 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name : monitor.h
* Version : 1.0
* Device(s) : R7F0C001
* H/W Platform : YCB15R7F0C001001B
* Description : This file implements device driver for sensor.
******************************************************************************/
/******************************************************************************
* History : DD.MM.YYYY Version Description
* : 20.09.2014 1.00 First Release
******************************************************************************/


#ifndef _MONITOR_DEF_
#define _MONITOR_DEF_
/******************************************************************************
Macro definitions
******************************************************************************/

#define SENSOR_SIMPLE_TIMES 5U
#define SENSOR_UPDATE_MAX_TIME (2500/MAIN_LOOP_TIME)		/* 2500ms */
#define SENSOR_DISP_FLASH_TIME (500/MAIN_LOOP_TIME)		/* 500ms */
#define AD_SENSOR_MAX_OFFSET_VALUE 584U		/* MAX(V(get)- V(min))=2850mV */
											
#define AD_SENSOR_MIN_VALUE_INIT 164U		/* 800mV */
#define DUST_DENSITY_ALARM_VELUE_INIT 250U		/* 250ug/m^3 */	

/******************************************************************************
Exported global variables and functions (to be accessed by other files)
******************************************************************************/
void Get_Dust_Density(void);
void Check_Alarm_Data(void);
void Sensor_Start(void);
void Sensor_Stop(void);
void GoTo_NormalMode(void);
void GoTo_AlarmSettingMode(void);
void GoTo_AlarmOnMode(void);
void GoTo_AlarmStandbyMode(void);
void Sensor_Process(void);
#endif
