/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer 
*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name    : userdefine.h
* Version      : 1.0
* Device(s)    : R7F0C001
* H/W Platform : YCB15R7F0C001001B
* Description  : This file implements device driver for LCD module.
******************************************************************************/
/******************************************************************************
* History : DD.MM.YYYY Version Description
*         : 20.03.2015 1.00 First Release
******************************************************************************/

#ifndef _USER_DEF_
#define _USER_DEF_

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
#pragma sfr
#pragma DI
#pragma EI
#pragma NOP
#pragma HALT

/******************************************************************************
Macro definitions
******************************************************************************/
#define FALSE 0U
#define TRUE 1U
#define OFF 0U
#define ON 1U
#define MAIN_LOOP_TIME	100U
#define ALARM_SETTING_TIMEOUT_TIME	(60000/MAIN_LOOP_TIME)
#define BATTERY_DISP_TIMEOUT_TIME	(5000/MAIN_LOOP_TIME)
#define LOW_POWER_VOLTAGE_VALUE		758U		/* 3700mV */

#define BATTERY_EN    (P1.2)
#define BATTEEY_LED	(P14.1)
#define FUNCTION_KEY    (P6.1)
#define BELL_KEY    (P6.0)
typedef enum
{
	INITIAL_MODE = 0,
	BATTERY_MODE,
	NORMAL_MODE,
	ALARM_SETTING_MODE,
	ALARM_STANDBY_MODE,
	ALARM_ON_MODE,
	LOW_POWER_MODE	
}_MAIN_MODE;




/***********************************************************************************************************************
Typedef definitions
***********************************************************************************************************************/
#ifndef __TYPEDEF__
typedef unsigned char	uint8_t;
typedef signed char	int8_t;
typedef unsigned int	uint16_t;
typedef signed int	int16_t;
typedef unsigned long	uint32_t;
typedef signed long	int32_t;
typedef struct
{
    unsigned char Low;
    unsigned char Middle;
    unsigned char High;
}
_DUST_ALARM_DATA;
#define __TYPEDEF__
#endif


/******************************************************************************
Exported global variables and functions (to be accessed by other files)
******************************************************************************/

#endif